from django.db import models
from django.contrib.auth import get_user_model


class Gender(models.Model):
    name = models.CharField(max_length=15, verbose_name="Пол")

    def __str__(self):
        return f'{self.name}'


class Profile(models.Model):
    user = models.OneToOneField(get_user_model(), related_name="profile", on_delete=models.CASCADE,
                                verbose_name="Пользователь")

    birth_date = models.DateField(null=True, blank=True, verbose_name="Дата рождения")

    phone_number = models.CharField(null=True, blank=True, max_length=25, verbose_name="Номер телефона")

    gender = models.ForeignKey(Gender, null=True, blank=True, on_delete=models.PROTECT, verbose_name="Пол пользователя")




